-- Affichage graphique des optioins de Guildmate dans le panel des option de WOW
GM = {};
local gm_cX = 20;
-- vairables temp
local gm_toggle  = Guildmate_show;
local gm_color = Guildmate_color;
local gm_level = Guildmate_level;
local gm_loc = Guildmate_location;
local gm_MaxMembers = Guildmate_MaxMembers;

-- fonction d'annulation de la modification de configuration
function Guildmate_Option_Cancel()
	Guildmate_show = gm_toggle;
	Guildmate_color = gm_color;
	Guildmate_level = gm_level;
	Guildmate_location = gm_loc;
	Guildmate_MaxMembers = gm_MaxMembers;
	Guildmate_Option_SetChecked();
end

--Par defaut l'application est tout à vrai
function Guildmate_Option_Default()
	Guildmate_show = true;
	Guildmate_color = true;
	Guildmate_level = true;
	Guildmate_location = true;
	Guildmate_MaxMembers = gm_MaxMembers;
	Guildmate_Option_SetChecked();
end

function Guildmate_Option_SetChecked()
	Guildmate_Frame_Option_ShowMembers:SetChecked(Guildmate_show);
	Guildmate_Frame_Option_NameColor:SetChecked(Guildmate_color);
	Guildmate_Frame_Option_Level:SetChecked(Guildmate_level);
	Guildmate_Frame_Option_Loc:SetChecked(Guildmate_location);
end

--Création de la fenêtre d'option
GM.panel = CreateFrame("Frame","Guildmate_Frame_Option", UIParent);

--Création du titre
GM.panel:CreateFontString("Guildmate_Frame_Option_Title","OVERLAY","GameFontNormalLarge");
Guildmate_Frame_Option_Title:SetText("Guildmate");
Guildmate_Frame_Option_Title:SetPoint("TOPLEFT", gm_cX, -20);
Guildmate_Frame_Option_Title:SetTextColor(1.0,0.82,0.0,1.0);
Guildmate_Frame_Option_Title:Show();

--Création de l'info de version
GM.panel:CreateFontString("Guildmate_Frame_Option_Version","OVERLAY","Tooltip_Small");
Guildmate_Frame_Option_Version:SetText("version "..GetAddOnMetadata("Guildmate","Version"));
Guildmate_Frame_Option_Version:SetPoint("TOPLEFT", gm_cX, -40);
Guildmate_Frame_Option_Version:SetTextColor(1.0,0.0,0.0,1.0);
Guildmate_Frame_Option_Version:Show();

--Création de la check box pour afficher la liste des membres
CreateFrame("CheckButton","Guildmate_Frame_Option_ShowMembers", GM.panel, "ChatConfigCheckButtonTemplate");
Guildmate_Frame_Option_ShowMembers:SetPoint("TOPLEFT", gm_cX, -75);
Guildmate_Frame_Option_ShowMembers.tooltip = GUILDMATE_TOGGLE;
Guildmate_Frame_Option_ShowMembersText:SetText(GUILDMATE_OPTION_TOGGLE);
Guildmate_Frame_Option_ShowMembers:SetChecked(Guildmate_show);
Guildmate_Frame_Option_ShowMembers:SetScript("OnClick",function() Guildmate_SlashCommand("toggle"); end);

--Création de la check box pour colorer les noms de membres
CreateFrame("CheckButton","Guildmate_Frame_Option_NameColor", GM.panel, "ChatConfigCheckButtonTemplate");
Guildmate_Frame_Option_NameColor:SetPoint("TOPLEFT", gm_cX, -110);
Guildmate_Frame_Option_NameColor.tooltip = GUILDMATE_COLOR;
Guildmate_Frame_Option_NameColorText:SetText(GUILDMATE_OPTION_COLOR);
Guildmate_Frame_Option_NameColor:SetChecked(Guildmate_color);
Guildmate_Frame_Option_NameColor:SetScript("OnClick",function() Guildmate_SlashCommand("color"); end);

--Création de la check box pour colorer le level de membres
CreateFrame("CheckButton","Guildmate_Frame_Option_Level", GM.panel, "ChatConfigCheckButtonTemplate");
Guildmate_Frame_Option_Level:SetPoint("TOPLEFT", gm_cX, -145);
Guildmate_Frame_Option_Level.tooltip = GUILDMATE_LEVEL;
Guildmate_Frame_Option_LevelText:SetText(GUILDMATE_OPTION_LEVEL);
Guildmate_Frame_Option_Level:SetChecked(Guildmate_level);
Guildmate_Frame_Option_Level:SetScript("OnClick",function() Guildmate_SlashCommand("level"); end);

--Création de la check box pour colorer le level de membres
CreateFrame("CheckButton","Guildmate_Frame_Option_Loc", GM.panel, "ChatConfigCheckButtonTemplate");
Guildmate_Frame_Option_Loc:SetPoint("TOPLEFT", gm_cX, -180);
Guildmate_Frame_Option_Loc.tooltip = GUILDMATE_LOC;
Guildmate_Frame_Option_LocText:SetText(GUILDMATE_OPTION_LOC);
Guildmate_Frame_Option_Loc:SetChecked(Guildmate_location);
Guildmate_Frame_Option_Loc:SetScript("OnClick",function() Guildmate_SlashCommand("loc"); end);

--Creation du slide du nombre de membre max entre 1 et 50
--CreateFrame("","Guildmate_Frame_Option_MaxMembers",GM.panel,"");
--Guildmate_Frame_Option_MaxMembers:SetPoint("TOPLEFT"; gm_cX; -215);
--Guildmate_Frame_Option_MaxMembers.tooltip = GUILDMATE_MAX_MEMBERS;
--Guildmate_Frame_Option_MaxMembersText:SetText(GUILDMATE_OPTION_MAX_MEMBERS);
--Guildmate_Frame_Option_MaxMembers:SetChecked(Guildmate_location);
--Guildmate_Frame_Option_MaxMembers:SetScript("OnClick",function() Guildmate_SlashCommand("loc"); end);


--Définition du titre a ajouter dans la colonne de gauche des options (titre de la fenêtre)
GM.panel.name = "Guildmate";
GM.panel.cancel = function(self) Guildmate_Option_Cancel(); end;
GM.panel.default = function(self) Guildmate_Option_Default(); end;
--Ajout dasn la fenêtre des options d'add-on
InterfaceOptions_AddCategory(GM.panel);
